.btn {
	display: inline-flex;
	flex-direction: row;
	justify-content: center;
	align-items: center;
	gap: 16px;
	min-height: 52px;
	padding: 8px 8px 8px 20px;
	border: none;
	border-radius: 8px;
	font-size: 18px;
	line-height: 150%;
	font-weight: 600;
	color: #131C2E;
	text-decoration: none;
	cursor: pointer;
	transition: all 0.3s;
	letter-spacing: 0;
}

.btn-primary {
	background: var(--color-primary);
	color: #131C2E;
}

.btn-dark {
	background: #131C2E;
	color: var(--color-white);
}

.btn-dark .btn__icon {
	background: var(--color-accent);
	color: var(--color-white);
}

.btn-dark:hover {
	background: #1C2842;
}

.btn__icon {
	display: flex;
	flex-direction: row;
	justify-content: center;
	align-items: center;
	padding: 4px;
	width: 36px;
	height: 36px;
	background: #F8FAFC;
	border-radius: 4px;
	transition: all 0.3s;
}

.btn__icon svg {
	transition: all 0.3s;
}

.btn:hover {
	background: #B1F836;
}

.btn:hover .btn__icon svg {
	transform: rotate(45deg);
}

.btn-primary__light {
	background: #9AEA21;
}

.btn-primary__light:hover {
	background: #B1F836;
}

.btn-primary__light .btn__icon {
	background: #F8FAFC;
}

.btn-outline {
	padding: 8px 8px 8px 20px;
	background: var(--color-white);
	border: 1.5px solid var(--color-accent);
	color: #131C2E;
}

.btn-outline .btn__icon {
	width: 32px;
	height: 32px;
	background: #87CF00;
	color: #252D3F;
}

.btn-outline:hover {
	background: #FFFFFF;
	border: 1.5px solid #9AEA21;
}

.btn-outline:hover .btn__icon {
	background: #9AEA21;
}

@media (max-width: 1440px) {
	.btn {
		font-size: 16px;
	}
}

@media (max-width: 550px) {
	.btn {
		min-height: 44px;
		padding: 4px 8px 4px 20px;
		font-size: 14px;
	}
}